Bug 1238378 - Review Request: mingw-gdal - MinGW Windows GDAL library
Summary: Review Request: mingw-gdal - MinGW Windows GDAL library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Juan Orti Alcaine
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1238374 1238376 1238377 1238379 1238381 1238382
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-01 18:28 UTC by Sandro Mani
Modified: 2017-09-07 21:34 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-07 21:34:57 UTC
j.orti.alcaine: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2015-07-01 18:28:46 UTC
Spec URL: https://smani.fedorapeople.org/review/mingw-gdal.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-gdal-1.11.2-1.fc23.src.rpm
Description: MinGW Windows GDAL library
Fedora Account System Username: smani

Comment 1 Upstream Release Monitoring 2015-12-03 20:43:13 UTC
pbrobinson's scratch build of mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038486

Comment 2 Upstream Release Monitoring 2015-12-03 20:44:25 UTC
pbrobinson's scratch build of mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038485

Comment 3 Upstream Release Monitoring 2015-12-03 20:45:15 UTC
pbrobinson's scratch build of mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038484

Comment 5 Juan Orti Alcaine 2017-09-03 20:24:38 UTC
spatialite is not available, are you submitting it in another review?

Comment 6 Sandro Mani 2017-09-03 20:28:48 UTC
It is being reviewed here [1], on hold until mingw-freexl [2] gets through.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1238382
[2] https://bugzilla.redhat.com/show_bug.cgi?id=1238376

Comment 7 Sandro Mani 2017-09-07 12:27:46 UTC
All dependencies should now be in rawhide.

Comment 8 Juan Orti Alcaine 2017-09-07 12:50:02 UTC
You have an obsolete autotool macro:
 AC_PROG_LIBTOOL found in: gdal-2.2.1-fedora/configure.ac:171

Other than that, it's fine. Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Package should not use obsolete m4 macros
     Note: Some obsoleted macros found, see the attachment.
     See: https://fedorahosted.org/FedoraReview/wiki/AutoTools
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-gdal-2.2.1-3.fc28.noarch.rpm
          mingw32-gdal-tools-2.2.1-3.fc28.noarch.rpm
          mingw64-gdal-2.2.1-3.fc28.noarch.rpm
          mingw64-gdal-tools-2.2.1-3.fc28.noarch.rpm
          mingw-gdal-2.2.1-3.fc28.src.rpm
mingw32-gdal.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libgdal.dll.a
mingw32-gdal.noarch: W: no-documentation
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/bin/gdal-config
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_atomic_ops.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_aws.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_config.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_config_extras.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_conv.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_cpu_features.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_csv.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_error.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_google_cloud.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_hash_set.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_http.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_list.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_minixml.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_minizip_ioapi.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_minizip_unzip.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_minizip_zip.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_multiproc.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_odbc.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_port.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_progress.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_quad_tree.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_sha1.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_sha256.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_spawn.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_string.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_time.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_virtualmem.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_vsi.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_vsi_error.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_vsi_virtual.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_vsil_curl_priv.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cpl_worker_thread_pool.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/cplkeywordparser.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_alg.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_alg_priv.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_csv.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_frmts.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_mdreader.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_pam.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_priv.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_proxy.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_rat.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_simplesurf.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_utils.h
mingw32-gdal.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_utils.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_version.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_vrt.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdalexif.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdalgeorefpamdataset.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdalgrid.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdalgrid_priv.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdaljp2abstractdataset.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdaljp2metadata.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdaljp2metadatagenerator.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdalpansharpen.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdalsse_priv.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdalwarper.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gdalwarpkernel_opencl.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gnm.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gnm_api.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gnmgraph.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/gvgcpfit.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/internal_qhull_headers.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/memdataset.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/ogr_api.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/ogr_core.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/ogr_feature.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/ogr_featurestyle.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/ogr_geocoding.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/ogr_geometry.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/ogr_p.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/ogr_spatialref.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/ogr_srs_api.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/ogrsf_frmts.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/rawdataset.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/thinplatespline.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/vrtdataset.h
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libgdal.dll.a
mingw32-gdal.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libgdal.dll.a
mingw32-gdal.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/gdal.pc
mingw32-gdal.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw32-gdal-tools.noarch: W: no-documentation
mingw32-gdal-tools.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-gdal.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgdal.dll.a
mingw64-gdal.noarch: W: no-documentation
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/bin/gdal-config
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_atomic_ops.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_aws.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_config.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_config_extras.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_conv.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_cpu_features.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_csv.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_error.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_google_cloud.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_hash_set.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_http.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_list.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_minixml.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_minizip_ioapi.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_minizip_unzip.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_minizip_zip.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_multiproc.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_odbc.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_port.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_progress.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_quad_tree.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_sha1.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_sha256.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_spawn.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_string.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_time.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_virtualmem.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_vsi.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_vsi_error.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_vsi_virtual.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_vsil_curl_priv.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cpl_worker_thread_pool.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/cplkeywordparser.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_alg.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_alg_priv.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_csv.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_frmts.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_mdreader.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_pam.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_priv.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_proxy.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_rat.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_simplesurf.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_utils.h
mingw64-gdal.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_utils.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_version.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_vrt.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdalexif.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdalgeorefpamdataset.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdalgrid.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdalgrid_priv.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdaljp2abstractdataset.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdaljp2metadata.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdaljp2metadatagenerator.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdalpansharpen.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdalsse_priv.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdalwarper.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdalwarpkernel_opencl.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gnm.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gnm_api.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gnmgraph.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/gvgcpfit.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/internal_qhull_headers.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/memdataset.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/ogr_api.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/ogr_core.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/ogr_feature.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/ogr_featurestyle.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/ogr_geocoding.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/ogr_geometry.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/ogr_p.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/ogr_spatialref.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/ogr_srs_api.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/ogrsf_frmts.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/rawdataset.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/thinplatespline.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/vrtdataset.h
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgdal.dll.a
mingw64-gdal.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libgdal.dll.a
mingw64-gdal.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/gdal.pc
mingw64-gdal.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw64-gdal-tools.noarch: W: no-documentation
mingw64-gdal-tools.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
mingw-gdal.src: W: invalid-url Source0: gdal-2.2.1-fedora.tar.xz
5 packages and 0 specfiles checked; 2 errors, 173 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
mingw32-gdal.noarch: W: no-documentation
mingw32-gdal.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/include/gdal_utils.h
mingw64-gdal-tools.noarch: W: no-documentation
mingw32-gdal-tools.noarch: W: no-documentation
mingw64-gdal.noarch: W: no-documentation
mingw64-gdal.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/include/gdal_utils.h
4 packages and 0 specfiles checked; 0 errors, 6 warnings.



Requires
--------
mingw32-gdal (rpmlib, GLIBC filtered):
    mingw32(iconv.dll)
    mingw32(kernel32.dll)
    mingw32(libcfitsio-3.dll)
    mingw32(libcurl-4.dll)
    mingw32(libexpat-1.dll)
    mingw32(libfreexl-1.dll)
    mingw32(libgcc_s_sjlj-1.dll)
    mingw32(libgeos_c-1.dll)
    mingw32(libgeotiff-2.dll)
    mingw32(libgif-7.dll)
    mingw32(libgrib2c.dll)
    mingw32(libgta-0.dll)
    mingw32(libjasper-4.dll)
    mingw32(libjpeg-62.dll)
    mingw32(libpcre-1.dll)
    mingw32(libpng16-16.dll)
    mingw32(libpoppler-68.dll)
    mingw32(libpq.dll)
    mingw32(libspatialite-4.dll)
    mingw32(libsqlite3-0.dll)
    mingw32(libstdc++-6.dll)
    mingw32(libtiff-5.dll)
    mingw32(libwebp-7.dll)
    mingw32(libxerces-c-3-1.dll)
    mingw32(libxml2-2.dll)
    mingw32(msvcrt.dll)
    mingw32(psapi.dll)
    mingw32(user32.dll)
    mingw32(ws2_32.dll)
    mingw32(zlib1.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config

mingw64-gdal-tools (rpmlib, GLIBC filtered):
    mingw64(kernel32.dll)
    mingw64(libgcc_s_seh-1.dll)
    mingw64(libgdal-20.dll)
    mingw64(libstdc++-6.dll)
    mingw64(msvcrt.dll)
    mingw64(user32.dll)
    mingw64(ws2_32.dll)
    mingw64-crt
    mingw64-filesystem

mingw32-gdal-tools (rpmlib, GLIBC filtered):
    mingw32(kernel32.dll)
    mingw32(libgcc_s_sjlj-1.dll)
    mingw32(libgdal-20.dll)
    mingw32(libstdc++-6.dll)
    mingw32(msvcrt.dll)
    mingw32(user32.dll)
    mingw32(ws2_32.dll)
    mingw32-crt
    mingw32-filesystem

mingw64-gdal (rpmlib, GLIBC filtered):
    mingw64(iconv.dll)
    mingw64(kernel32.dll)
    mingw64(libcfitsio-3.dll)
    mingw64(libcurl-4.dll)
    mingw64(libexpat-1.dll)
    mingw64(libfreexl-1.dll)
    mingw64(libgcc_s_seh-1.dll)
    mingw64(libgeos_c-1.dll)
    mingw64(libgeotiff-2.dll)
    mingw64(libgif-7.dll)
    mingw64(libgrib2c.dll)
    mingw64(libgta-0.dll)
    mingw64(libjasper-4.dll)
    mingw64(libjpeg-62.dll)
    mingw64(libpcre-1.dll)
    mingw64(libpng16-16.dll)
    mingw64(libpoppler-68.dll)
    mingw64(libpq.dll)
    mingw64(libspatialite-4.dll)
    mingw64(libsqlite3-0.dll)
    mingw64(libstdc++-6.dll)
    mingw64(libtiff-5.dll)
    mingw64(libwebp-7.dll)
    mingw64(libxerces-c-3-1.dll)
    mingw64(libxml2-2.dll)
    mingw64(msvcrt.dll)
    mingw64(odbc32.dll)
    mingw64(odbccp32.dll)
    mingw64(psapi.dll)
    mingw64(user32.dll)
    mingw64(ws2_32.dll)
    mingw64(zlib1.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config



Provides
--------
mingw32-gdal:
    mingw32(libgdal-20.dll)
    mingw32-gdal

mingw64-gdal-tools:
    mingw64-gdal-tools

mingw32-gdal-tools:
    mingw32-gdal-tools

mingw64-gdal:
    mingw64(libgdal-20.dll)
    mingw64-gdal



AutoTools: Obsoleted m4s found
------------------------------
  AC_PROG_LIBTOOL found in: gdal-2.2.1-fedora/configure.ac:171


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1238378 -m fedora-rawhide-test-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 9 Gwyn Ciesla 2017-09-07 13:05:45 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-gdal


Note You need to log in before you can comment on or make changes to this bug.